cURL
curl --request GET \
--url https://api.dock.us/{version}/forms/{id}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dock.us/{version}/forms/{id}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dock.us/{version}/forms/{id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"formResponses": [
{
"id": "RiHO4e0Ju3DS",
"object": "form-response",
"submittedAt": "2026-08-09T10:00:00.000Z",
"respondent": {
"id": "F93jdmsOJ3fj",
"object": "user"
},
"formQuestions": [
{
"id": "Qd83hfSj39dK",
"object": "form-question",
"title": "Which plan are you interested in?",
"type": "mcq"
}
],
"formQuestionResponses": [
{
"id": "R83nfhSk20dL",
"object": "form-question-response",
"formQuestionId": "Qd83hfSj39dK",
"value": [
"Enterprise"
],
"files": [
{
"id": "F9Ghw2n0Ju3D",
"object": "file",
"name": "contract.pdf",
"url": "https://storage.googleapis.com/...",
"expiresAt": "2026-08-09T11:00:00.000Z"
}
]
}
]
}
],
"pageInfo": {
"page": 1,
"pages": 10,
"total": 100,
"pageTotal": 10,
"hasNextPage": true,
"hasPrevPage": false
}
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "The request could not be understood or was missing required parameters"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Access denied. You are not authorized to access this resource"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Access to this resource is restricted"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource could not be found"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "The server has encountered a situation it does not know how to handle"
}
}Forms
Retrieve form responses
Retrieve the completed submissions of a form, newest first. Each submission includes the questions the respondent answered and their answers. File answers include presigned download URLs that expire after one hour
GET
/
forms
/
{id}
/
responses
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier
Example:
"RiHO4e0Ju3DS"
Response
List of form responses
Show child attributes
Show child attributes
⌘I